%global pypi_name deprecated
%global commitId 801c558a07ef930f92fc070045d86cb5640397eb

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        1.2.13
Release:        1%{?dist}
Summary:        Python decorator to deprecate old python classes, functions or methods

License:        MIT
URL:            https://github.com/tantale/deprecated
Source0:        python-deprecated-801c558a07ef930f92fc070045d86cb5640397eb.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools

%description
Python @deprecated decorator to deprecate old python classes,
functions or methods.

%package -n     python%{python3_pkgversion}-%{pypi_name}

Summary:        Python decorator to deprecate old python classes, functions or methods

Requires:       python%{python3_pkgversion}-wrapt >= 1.10
Requires:       python%{python3_pkgversion}-wrapt < 2

%description -n python%{python3_pkgversion}-%{pypi_name}
Python @deprecated decorator to deprecate old python classes,
functions or methods.

%prep
%autosetup -n python-%{pypi_name}-%{commitId}

%build
%{py3_build}

%install
%{py3_install}

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc CHANGELOG.rst README.md
%license LICENSE.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/Deprecated-%{version}-py%{python3_version}.egg-info

%changelog
* Wed Aug 24 2022 Dimitri Savineau <dsavinea@redhat.com> 1.2.13-1
- Initial release
